Skip to navigation

Get Record Status

Read the current revision without its body, subjects or person-link outcome. Needs records:status. A deleted record answers 410.

Authentication

AuthorizationBearer

ediphai_test_… or ediphai_live_…

Path parameters

record_typestringRequired
record_idstringRequired

Response

Current record receipt
record_typestring
record_idstring
revisioninteger-9007199254740991-9007199254740991
definitionobject
hashstring
sha256 of the canonical envelope
countsmap from strings to integers
Results per definition section
outcomestringOptional

POST only. accepted: stored now. duplicate: this revision was already stored with the same envelope. valid: validate mode, nothing stored

statestringOptional

accepted, processed, quarantined, deleted; absent in validate mode. An unknown state is not terminal

currentbooleanOptional
POST only. false when a higher revision was already stored, so this one is kept as history
received_atstringOptional

When Ediphai stored it; absent in validate mode

Errors

4XX
Client Request Error
410
Gone Error
5XX
Server Error